package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AtmosphereIndex;
import com.lightinit.hsdatashow.entity.AtmosphereIndexExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtmosphereIndexMapper {
    long countByExample(AtmosphereIndexExample example);

    int deleteByExample(AtmosphereIndexExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtmosphereIndex record);

    int insertSelective(AtmosphereIndex record);

    List<AtmosphereIndex> selectByExample(AtmosphereIndexExample example);

    AtmosphereIndex selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtmosphereIndex record, @Param("example") AtmosphereIndexExample example);

    int updateByExample(@Param("record") AtmosphereIndex record, @Param("example") AtmosphereIndexExample example);

    int updateByPrimaryKeySelective(AtmosphereIndex record);

    int updateByPrimaryKey(AtmosphereIndex record);

    List<AtmosphereIndex> getAtmosphereIndex(int year);
}